PBXExtens
Get Cloud PBX extens
Fetch created extens for your Cloud PBX by PBX subscription id.
The PBX subscription unique id can be retrieved from GET /api/v1/pbx/subscriptions, which returns the list of PBX subscriptions assigned to the current customer.
Response contains extens type, which is defined by Cloud PBX type (either local, or external; local type is currently under development).
If your Cloud PBX has not been configured yet, you will receive a status code 425 Too Early (refer to responses).
Path Parameters
id*integer
PBX subscription id
Range
1 <= valueHeader Parameters
Authorization*string
Your API token
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/pbx/subscriptions/1/extens" \ -H "Authorization: string"{
"code": 0,
"data": [
{
"extens": [
{
"caller_id_name": "string",
"domain": "string",
"email_addr": "string",
"id": 0,
"mobile_number": "string",
"number": "string",
"online_status": {
"ext_dev_type": "string",
"status": "string",
"status_list": [
{
"ip": "string",
"linkus_dev_type": "string",
"status": "string"
}
]
},
"password": "string",
"presence_status": "string",
"role_name": "string",
"username": "string"
}
],
"type": 0
}
],
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}